PETSc version 3.15.5
Fix/Edit manual page

# TaoGetResidualNorm

Gets the current value of the norm of the residual at this time.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetResidualNorm(Tao tao,PetscReal *value)

Not Collective

### Input Parameter

| tao | - Tao context

### Output Parameter

| value | - the current value

Developer Note: This is the 2-norm of the residual, we cannot use TaoGetGradientNorm() because that has a different meaning. For some reason Tao sometimes calls the gradient the residual.

### See Also

TaoGetLinearSolveIterations(), TaoGetIterationNumber(), TaoGetObjective()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages